* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Karma */

@font-face {
    font-family: "Karma";
    src: url("../fonts/karma/Karma-Variable.woff2") format("woff2");
    font-weight: 300 700;
    font-style: normal;
}

body {
    height: 100vh;
    background-color: bisque;
    width: 940px;
    margin: auto;
    padding-top: 120px;
    font-family: "Karma", serif;
}

h1 {
    text-align: center;
    margin-bottom: 1.25rem;
    margin-top: 1rem;
}

.kviz {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.kviz__zadani {
    font-size: 1.25rem;
}

.kviz__moznosti {
    display: flex;
    flex-direction: column;
    gap: .75rem;
    margin: 0px;
    padding: 0px;
}

.kviz__moznosti--item {
    display: flex;
    border: solid 2px black;
    gap: 1rem;
    padding: 0.5rem;
    margin: 0px;
    border-radius: 4px;
    cursor: pointer;
}

.kviz__moznosti--item:hover {
    border: solid 2px crimson;
}

.kviz--locked .kviz__moznosti--item,
.kviz--locked .kviz__moznosti--item input {
    pointer-events: none;
    opacity: .6;
}

.kviz__submit-button {
    width: fit-content;
    align-self: flex-end;
    padding: 0.75rem;
    text-transform: uppercase;
    font-size: 0.8rem;
    background-color: crimson;
    color: white;
    border: none;
    cursor: pointer;
}

.kviz__reset-button {
    width: fit-content;
    align-self: flex-end;
    padding: 0.75rem;
    font-size: 0.8rem;
    background-color: crimson;
    color: white;
    border: none;
    cursor: pointer;
}

.kviz__submit-button:hover {
    background-color: #a20021;
}

.kviz__vysledek {
    padding: 1rem 2rem;
    border: solid 2px;
    border-radius: 4px;
}

.kviz__vysledek--wrong {
    border: solid 2px red;
    background-color: #fcb0b3;
}

.kviz__vysledek--correct {
    border: solid 2px green;
    background-color: #a5ffd6;
    text-align: center;
}

@media (max-width: 760px) {
  body {
    padding: 1rem 2rem;
    width: 100%;
  }

  .kviz__vysledek {
    padding: 0.75rem 1rem;
    border-radius: 4px;
}
}